var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function ChevronUp2(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M22.586 16.586a2 2 0 012.828 0l12 12a2 2 0 11-2.828 2.828L24 20.828 13.414 31.414a2 2 0 11-2.828-2.828l12-12z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = ChevronUp2;
export default ChevronUp2;

